org.gnome.gtk

## Class ProgressBarOrientation

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.ProgressBarOrientation

-     public final class ProgressBarOrientation
      extends org.freedesktop.bindings.Constant

  Constants that specify the direction a ProgressBar is to progress. The default you'll be accustomed to seeing is `LEFT_TO_RIGHT`.
  Since:
    4.0.10
  Author:
    Miloud Bel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProgressBarOrientation` | `BOTTOM_TO_TOP` Perform progress from bottom to top
    `static ProgressBarOrientation` | `LEFT_TO_RIGHT` Perform progress from left to right
    `static ProgressBarOrientation` | `RIGHT_TO_LEFT` Perform progress from right to left
    `static ProgressBarOrientation` | `TOP_TO_BOTTOM` Perform progress from top to bottom

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOTTOM_TO_TOP

          public static final ProgressBarOrientation BOTTOM_TO_TOP

      Perform progress from bottom to top

    - #### LEFT_TO_RIGHT

          public static final ProgressBarOrientation LEFT_TO_RIGHT

      Perform progress from left to right

    - #### RIGHT_TO_LEFT

          public static final ProgressBarOrientation RIGHT_TO_LEFT

      Perform progress from right to left

    - #### TOP_TO_BOTTOM

          public static final ProgressBarOrientation TOP_TO_BOTTOM

      Perform progress from top to bottom